Skip to main content

schedule

PRO

The functionality is available in PRO Edition only

Description​

Optional. Enables automatic task scheduling based on their dependencies and applies task constraints

With :schedule="{ auto: true }", the Gantt automatically adjusts dependent tasks according to the links between them, ensuring that successor tasks always satisfy their predecessors. All four link types are taken into account.

This is forward-only scheduling mode: changes propagate from a task to its successors, and predecessors are never moved.

Usage​

schedule?: {
auto?: boolean;
resourceCalendars?: boolean;
};

Parameters​

  • auto - (optional) if true, enables automatic scheduling and applies task constraints; if false, disables automatic scheduling
  • resourceCalendars - (optional) if true, calendars of assigned resources affect task dates. false by default. For details, see Schedule tasks by resource calendars

When automatic scheduling is enabled:

  • Dependencies of all link types are enforced at all times
  • On initial load, all successor tasks are shifted forward to satisfy their dependencies
  • When a task start, end, or duration changes, all successors are automatically recalculated and moved if needed
  • A task moved by a user is placed as close to the new dates as its links allow: a task moved earlier than its predecessors allow returns to the earliest allowed date. If the task's own constraint breaks a link, the link is reported as a conflict
  • The schedule-tasks action fires whenever cascading updates occur
  • Links of any type support the lag property (a minimum delay, 0 by default)
  • Invalid links are automatically removed on load and during editing
  • If projectStart is defined, tasks that start earlier are moved forward to the project start date.

Example​

<script setup>
import { Gantt } from "@svar/vue-gantt";
import { getData } from "../data";

const data = getData("basic");
</script>

<template>
<Gantt
:tasks="data.tasks"
:links="data.links"
:schedule="{ auto: true }"
/>
</template>

Related articles:

Skip to main content

schedule

The functionality is available in PRO Edition only

PRO

Description

Enables automatic task scheduling based on end-to-start dependencies

The schedule property activates automatic scheduling in Gantt. It controls whether task dependencies trigger cascading scheduling changes. When enabled, the system automatically adjusts dependent tasks according to end-to-start links, ensuring that successor tasks always start after their predecessors.

This is a forward-only scheduling mode: changes propagate from a task to its successors.

Usage

schedule?: {
auto?: boolean;
};

Parameters

  • true - enables automatic scheduling
  • false - disables automatic scheduling

When automatic scheduling is enabled:

  • End-to-start dependencies are enforced at all times
  • On initial load, all successor tasks are shifted forward to start after their predecessors
  • When a task start, end, or duration changes, all successors are automatically recalculated and moved if needed
  • Backward movement respects constraints - tasks cannot be moved earlier than allowed by their predecessor's end
  • The onScheduleTask event fires whenever cascading updates occur
  • End-to-start links support the lag property (fixed or flexible delays)
  • Invalid links (circular or summary -> children) are automatically removed on load and during editing
  • If projectStart is defined, all tasks are shifted forward so that the earliest task starts exactly at the project start date, and all others preserve the same relative offset.

Example

import { Gantt } from "@svar/react-gantt";
import { getData } from "../data";

export default function App() {
const data = getData("basic");

return (
<Gantt
tasks={data.tasks}
links={data.links}
schedule={{ auto: true }}
/>
);
}

Related articles: